<?php
/**
 * Class definition file for the Point Of Marketing API Transaction object
 *
 * Defines transaction type constants and available transaction fields
 *
 * @package POMAPI
 * @author Jeremy Miller
 * @copyright 2015 Repeat Returns
 * @version 2.0.1
 * @since 2.0.0
 */
namespace POMAPI;

class POM_Transaction extends POM_Object {
  const TRANSACTION_SALE = 100;
  const TRANSACTION_POINTS = 200;
  const TRANSACTION_REBATE = 300;
  const TRANSACTION_PROMOTION = 400;
  const TRANSACTION_SOCIAL_MEDIA = 500;
  const TRANSACTION_GIFT_CARD = 600;
  
  public $transactionTypeId = -1;
  public $instant = "";
  public $memberId = -1;
  public $amount = -1;
  public $clerk = -1;
  public $terminal = -1;
  public $type = "";
  public $status = "";
  public $points = -1;
  public $rebate = -1;
  public $promotionId = -1;
}
?>