function showMethodOptions() {
  var show_id = secondary_id = '';
  switch (document.getElementById('pom-method').value) {
    case 'get-chain':
    case 'get-chain-store':
      show_id = 'pom-chain-id';
      break;
    case 'put-chain':
    case 'put-store':
      show_id = 'pom-chain-fields';
      break;
    case 'put-facebook-tab':
      show_id = 'pom-facebook-fields';
      break;
    case 'post-invite':
      show_id = 'pom-invite-fields';
      break;
    case 'post-member':
      document.getElementById('pom-member-fields-memberId').style.display = 'none';
      show_id = 'pom-member-fields';
      break;
    case 'put-member':
      document.getElementById('pom-member-fields-memberId').style.display = 'block';
      show_id = 'pom-member-fields';
      break;
    case 'get-member-search':
      show_id = 'pom-member-search-fields';
      break;
    case 'get-member':
    case 'delete-member':
    case 'get-member-offer':
      show_id = 'pom-member-id';
      break;
    case 'get-promotion':
      show_id = 'pom-promotion-id';
      break;
    case 'put-promotion':
      show_id = 'pom-promotion-fields';
      secondary_id = 'pom-promotion-id';
      break;
    case 'get-store':
      show_id = 'pom-store-id';
      break;
    case 'post-transaction':
      show_id = 'pom-transaction-fields';
      break;
    case 'delete-transaction':
      show_id = 'pom-transaction-id';
      break;
  }
  var elements = document.getElementsByClassName('pom-conditional-field');
  for (var i=0;i<elements.length;i++) {
    if (elements[i].id == show_id || elements[i].id == secondary_id) {
      elements[i].className = 'pom-conditional-field visible';
    } else {
      elements[i].className = 'pom-conditional-field';
    }
  }
}