<?php
/**
 * Class definition file for the Point Of Marketing API Chain object
 *
 * Defines available chain fields
 *
 * @package POMAPI
 * @author Jeremy Miller
 * @copyright 2015 Repeat Returns
 * @version 2.0.1
 * @since 2.0.0
 */
namespace POMAPI;

class POM_Chain extends POM_Object {
  public $name = "";
  public $address = "";
  public $addressLine2 = "";
  public $city = "";
  public $state = "";
  public $postcode = "";
  public $country = "";
  public $timezone = "";
  public $phone = "";
  public $cell = "";
  public $fax = "";
  public $url = "";
  public $contactName = "";
  public $contactEmail = "";
  public $managerName = "";
  public $managerEmail = "";
  public $managerPhone = "";
}
?>