<?php
/**
 * Class definition file for the Point Of Marketing API Member object
 *
 * Defines available member fields
 *
 * @package POMAPI
 * @author Jeremy Miller
 * @copyright 2015 Repeat Returns
 * @version 2.0.1
 * @since 2.0.0
 */
namespace POMAPI;

class POM_Member extends POM_Object {
  public $operator = "";
  public $title = "";
  public $first = "";
  public $last = "";
  public $email = "";
  public $birthday = "";
  public $phones = array();
  public $address = "";
  public $addressLine2 = "";
  public $city = "";
  public $state = "";
  public $postcode = "";
  public $country = "";
  public $anniversary = "";
  public $householdSize = -1;
  public $spouseFirst = "";
  public $spouseLast = "";
  public $spouseEmail = "";
  public $spouseBirthday = "";
  public $children = array();
  public $storeField = array();
  public $chainField = array();
  public $pointBalance = -1;
  public $cashBalance = -1;
  public $unsubscribed = -1;
}
?>