<div id="pom-form-container">
<form id="pom-form" method="POST" action="<?php basename(__file__); ?>">
<h1>Point Of Marketing API</h1>
<h2>PHP SDK Example</h2>
Default Store: 17117
<div class="pom-form-field"><label for="pom-username">Username</label><input type="text" name="username" id="pom-username" value="jeremy"></div>
<div class="pom-form-field"><label for="pom-password">Password</label><input type="text" name="password" id="pom-password" value="apiTest"></div>
<div class="pom-form-field"><label for="pom-clerk">Clerk</label><input type="text" name="clerk" id="pom-clerk"></div>
<div class="pom-form-field block-label"><label for="pom-method">Method</label><select name="method" id="pom-method" onchange="showMethodOptions();">
  <optgroup label="Chain">
    <option value="get-chain">GET /chain/{chainId}</option>
    <option value="put-chain">PUT /chain/{chainId}</option>
    <option value="get-chain-store">GET /chain/{chainId}/store</option>
  </optgroup>
  <optgroup label="Facebook">
    <option value="get-facebook-tab">GET /facebook-tab</option>
    <option value="put-facebook-tab">PUT /facebook-tab</option>
  </optgroup>
  <option value="post-invite">POST /invite</option>
  <optgroup label="Member">
    <option value="post-member">POST /member</option>
    <option value="get-member-search">GET /member/?operator={value}&{nameValuePairs}</option>
    <option value="get-member">GET /member/{memberId}</option>
    <option value="delete-member">DELETE /member/{memberId}</option>
    <option value="get-member-offer">GET /member/{memberId}/offer</option>
  </optgroup>
  <optgroup label="Promotion">
    <option value="get-promotion">GET /promotion/{promotionId}</option>
    <option value="put-promotion">PUT /promotion/{promotionId}</option>
  </optgroup>
  <optgroup label="Store">
    <option value="get-store">GET /store/{storeId}</option>
    <option value="put-store">PUT /store/{storeId}</option>
  </optgroup>
  <optgroup label="Transaction">
    <option value="post-transaction">POST /transaction</option>
    <option value="delete-transaction">DELETE /transaction/{transactionId}</option>
  </optgroup>
</select></div>
<div id="pom-store-id" class="pom-conditional-field">
  <div class="pom-form-field"><label for="pom-storeId">Store ID</label><input type="text" name="store[storeId]" id="pom-storeId"></div>
</div>
<div id="pom-chain-id" class="pom-conditional-field visible">
  <div class="pom-form-field"><label for="pom-chainId">Chain ID</label><input type="text" name="chain[chainId]" id="pom-chainId"></div>
</div>
<div id="pom-chain-fields" class="pom-conditional-field">
  <div class="pom-form-field"><label for="pom-chainId">ID</label><input type="text" name="chainField[chainId]" id="pom-chainId"></div>
  <div class="pom-form-field"><label for="pom-chainName">Name</label><input type="text" name="chainField[name]" id="pom-chainName"></div>
  <div class="pom-form-field"><label for="pom-chainAddress">Address</label><input type="text" name="chainField[address]" id="pom-chainAddress"></div>
  <div class="pom-form-field"><label for="pom-chainAddressLine2">Address Line 2</label><input type="text" name="chainField[addressLine2]" id="pom-chainAddressLine2"></div>
  <div class="pom-form-field"><label for="pom-chainCity">City</label><input type="text" name="chainField[city]" id="pom-chainCity"></div>
  <div class="pom-form-field"><label for="pom-chainState">State</label><input type="text" name="chainField[state]" id="pom-chainState"></div>
  <div class="pom-form-field"><label for="pom-chainPostcode">Postcode</label><input type="text" name="chainField[postcode]" id="pom-chainPostcode"></div>
  <div class="pom-form-field"><label for="pom-chainCountry">Country</label><input type="text" name="chainField[country]" id="pom-chainCountry"></div>
  <div class="pom-form-field"><label for="pom-chainTimezone">Timezone</label><input type="text" name="chainField[timezone]" id="pom-chainTimezone"></div>
  <div class="pom-form-field"><label for="pom-chainPhone">Phone</label><input type="tel" name="chainField[phone]" id="pom-chainPhone"></div>
  <div class="pom-form-field"><label for="pom-chainCell">Cell</label><input type="tel" name="chainField[cell]" id="pom-chainCell"></div>
  <div class="pom-form-field"><label for="pom-chainFax">Fax</label><input type="tel" name="chainField[fax]" id="pom-chainFax"></div>
  <div class="pom-form-field"><label for="pom-chainUrl">URL</label><input type="url" name="chainField[url]" id="pom-chainUrl"></div>
  <div class="pom-form-field"><label for="pom-chainContactName">Contact Name</label><input type="text" name="chainField[contactName]" id="pom-chainContactName"></div>
  <div class="pom-form-field"><label for="pom-chainContactEmail">Contact Email</label><input type="email" name="chainField[contactEmail]" id="pom-chainContactEmail"></div>
  <div class="pom-form-field"><label for="pom-chainManagerName">Manager Name</label><input type="text" name="chainField[managerName]" id="pom-chainManagerName"></div>
  <div class="pom-form-field"><label for="pom-chainManagerEmail">Manager Email</label><input type="email" name="chainField[managerEmail]" id="pom-chainManagerEmail"></div>
  <div class="pom-form-field"><label for="pom-chainManagerPhone">Manager Phone</label><input type="text" name="chainField[managerPhone]" id="pom-chainManagerPhone"></div>
</div>
<div id="pom-facebook-fields" class="pom-conditional-field">
  <div class="pom-form-field block-label"><label for="pom-facebookContent">Content</label><textarea name="facebook[content]" id="pom-facebookContent"></textarea></div>
  <div class="pom-form-field block-label"><label for="pom-facebookContentFriend">Friend Content</label><textarea name="facebook[contentFriend]" id="pom-facebookContentFriend"></textarea></div>
</div>
<div id="pom-invite-fields" class="pom-conditional-field">
  <div class="pom-form-field"><label for="pom-inviteFirst">First</label><input type="text" name="invite[first]" id="pom-inviteFirst"></div>
  <div class="pom-form-field"><label for="pom-inviteLast">Last</label><input type="text" name="invite[last]" id="pom-inviteLast"></div>
  <div class="pom-form-field"><label for="pom-inviteEmail">Email</label><input type="email" name="invite[email]" id="pom-inviteEmail"></div>
</div>
<div id="pom-member-fields" class="pom-conditional-field">
  <div id="pom-member-fields-memberId" class="pom-form-field"><label for="pom-memberId">Member ID</label><input type="text" name="memberField[memberId]" id="pom-memberId"></div>
  <div class="pom-form-field"><label for="pom-memberTitle">Title</label><select name="memberField[title]" id="pom-memberTitle">
    <option value=""></option>
    <option value="Mr">Mr</option>
    <option value="Mrs">Mrs</option>
    <option value="Ms">Ms</option>
    <option value="Miss">Miss</option>
    <option value="Dr">Dr</option>
  </select></div>
  <div class="pom-form-field"><label for="pom-memberFirst">First</label><input type="text" name="memberField[first]" id="pom-memberFirst"></div>
  <div class="pom-form-field"><label for="pom-memberLast">Last</label><input type="text" name="memberField[last]" id="pom-memberLast"></div>
  <div class="pom-form-field"><label for="pom-memberEmail">Email</label><input type="email" name="memberField[email]" id="pom-memberEmail"></div>
  <div class="pom-form-field"><label for="pom-memberBirthday">Birthday</label><input type="text" name="memberField[birthday]" id="pom-memberBirthday"></div>
  <div class="pom-form-field"><label for="pom-memberPhone1">Phone #1</label><input type="text" name="memberField[phones][]" id="pom-memberPhone1"></div>
  <div class="pom-form-field"><label for="pom-memberPhone2">Phone #2</label><input type="text" name="memberField[phones][]" id="pom-memberPhone2"></div>
  <div class="pom-form-field"><label for="pom-memberPhone3">Phone #3</label><input type="text" name="memberField[phones][]" id="pom-memberPhone3"></div>
  <div class="pom-form-field"><label for="pom-memberPhone4">Phone #4</label><input type="text" name="memberField[phones][]" id="pom-memberPhone4"></div>
  <div class="pom-form-field"><label for="pom-memberPhone5">Phone #5</label><input type="text" name="memberField[phones][]" id="pom-memberPhone5"></div>
  <div class="pom-form-field"><label for="pom-memberPhone6">Phone #6</label><input type="text" name="memberField[phones][]" id="pom-memberPhone6"></div>
  <div class="pom-form-field"><label for="pom-memberPhone7">Phone #7</label><input type="text" name="memberField[phones][]" id="pom-memberPhone7"></div>
  <div class="pom-form-field"><label for="pom-memberPhone8">Phone #8</label><input type="text" name="memberField[phones][]" id="pom-memberPhone8"></div>
  <div class="pom-form-field"><label for="pom-memberPhone9">Phone #9</label><input type="text" name="memberField[phones][]" id="pom-memberPhone9"></div>
  <div class="pom-form-field"><label for="pom-memberPhone10">Phone #10</label><input type="text" name="memberField[phones][]" id="pom-memberPhone10"></div>
  <div class="pom-form-field"><label for="pom-memberAddress">Address</label><input type="text" name="memberField[address]" id="pom-memberAddress"></div>
  <div class="pom-form-field"><label for="pom-memberAddressLine2">Address Line 2</label><input type="text" name="memberField[addressLine2]" id="pom-memberAddressLine2"></div>
  <div class="pom-form-field"><label for="pom-memberCity">City</label><input type="text" name="memberField[city]" id="pom-memberCity"></div>
  <div class="pom-form-field"><label for="pom-memberState">State</label><input type="text" name="memberField[state]" id="pom-memberState"></div>
  <div class="pom-form-field"><label for="pom-memberPostcode">Postcode</label><input type="text" name="memberField[postcode]" id="pom-memberPostcode"></div>
  <div class="pom-form-field"><label for="pom-memberCountry">Country</label><input type="text" name="memberField[country]" id="pom-memberCountry"></div>
  <div class="pom-form-field"><label for="pom-memberAnniversary">Anniversary</label><input type="text" name="memberField[anniversary]" id="pom-memberAnniversary"></div>
  <div class="pom-form-field"><label for="pom-memberHouseholdSize">Household Size</label><input type="text" name="memberField[householdSize]" id="pom-memberHouseholdSize"></div>
  <div class="pom-form-field"><label for="pom-memberSpouseFirst">Spouse First</label><input type="text" name="memberField[spouseFirst]" id="pom-memberSpouseFirst"></div>
  <div class="pom-form-field"><label for="pom-memberSpouseLast">Spouse Last</label><input type="text" name="memberField[spouseLast]" id="pom-memberSpouseLast"></div>
  <div class="pom-form-field"><label for="pom-memberSpouseEmail">Spouse Email</label><input type="email" name="memberField[spouseEmail]" id="pom-memberSpouseEmail"></div>
  <div class="pom-form-field"><label for="pom-memberSpouseBirthday">Spouse Birthday</label><input type="text" name="memberField[spouseBirthday]" id="pom-memberSpouseBirthday"></div>
  <div class="pom-form-field"><label for="pom-memberChild1Name">Child #1 Name</label><input type="text" name="memberField[children][name][]" id="pom-memberChild1Name"></div>
  <div class="pom-form-field"><label for="pom-memberChild1Birthday">Child #1 Birthday</label><input type="text" name="memberField[children][birthday][]" id="pom-memberChild1Birthday"></div>
  <div class="pom-form-field"><label for="pom-memberChild2Name">Child #2 Name</label><input type="text" name="memberField[children][name][]" id="pom-memberChild2Name"></div>
  <div class="pom-form-field"><label for="pom-memberChild2Birthday">Child #2 Birthday</label><input type="text" name="memberField[children][birthday][]" id="pom-memberChild2Birthday"></div>
  <div class="pom-form-field"><label for="pom-memberChild3Name">Child #3 Name</label><input type="text" name="memberField[children][name][]" id="pom-memberChild3Name"></div>
  <div class="pom-form-field"><label for="pom-memberChild3Birthday">Child #3 Birthday</label><input type="text" name="memberField[children][birthday][]" id="pom-memberChild3Birthday"></div>
  <div class="pom-form-field"><label for="pom-memberChild4Name">Child #4 Name</label><input type="text" name="memberField[children][name][]" id="pom-memberChild4Name"></div>
  <div class="pom-form-field"><label for="pom-memberChild4Birthday">Child #4 Birthday</label><input type="text" name="memberField[children][birthday][]" id="pom-memberChild4Birthday"></div>
  <div class="pom-form-field"><label for="pom-memberChild5Name">Child #5 Name</label><input type="text" name="memberField[children][name][]" id="pom-memberChild5Name"></div>
  <div class="pom-form-field"><label for="pom-memberChild5Birthday">Child #5 Birthday</label><input type="text" name="memberField[children][birthday][]" id="pom-memberChild5Birthday"></div>
  <div class="pom-form-field"><label for="pom-memberChild6Name">Child #6 Name</label><input type="text" name="memberField[children][name][]" id="pom-memberChild6Name"></div>
  <div class="pom-form-field"><label for="pom-memberChild6Birthday">Child #6 Birthday</label><input type="text" name="memberField[children][birthday][]" id="pom-memberChild6Birthday"></div>
  <div class="pom-form-field"><label for="pom-memberChild7Name">Child #7 Name</label><input type="text" name="memberField[children][name][]" id="pom-memberChild7Name"></div>
  <div class="pom-form-field"><label for="pom-memberChild7Birthday">Child #7 Birthday</label><input type="text" name="memberField[children][birthday][]" id="pom-memberChild7Birthday"></div>
  <div class="pom-form-field"><label for="pom-memberChild8Name">Child #8 Name</label><input type="text" name="memberField[children][name][]" id="pom-memberChild8Name"></div>
  <div class="pom-form-field"><label for="pom-memberChild8Birthday">Child #8 Birthday</label><input type="text" name="memberField[children][birthday][]" id="pom-memberChild8Birthday"></div>
  <div class="pom-form-field"><label for="pom-memberChild9Name">Child #9 Name</label><input type="text" name="memberField[children][name][]" id="pom-memberChild9Name"></div>
  <div class="pom-form-field"><label for="pom-memberChild9Birthday">Child #9 Birthday</label><input type="text" name="memberField[children][birthday][]" id="pom-memberChild9Birthday"></div>
  <div class="pom-form-field"><label for="pom-memberChild10Name">Child #10 Name</label><input type="text" name="memberField[children][name][]" id="pom-memberChild10Name"></div>
  <div class="pom-form-field"><label for="pom-memberChild10Birthday">Child #10 Birthday</label><input type="text" name="memberField[children][birthday][]" id="pom-memberChild10Birthday"></div>
  <div class="pom-form-field"><label for="pom-memberBirthday">Birthday</label><input type="text" name="memberField[birthday]" id="pom-memberBirthday"></div>
  <div class="pom-form-field"><label for="pom-memberStoreField1">Store Field #1</label><input type="text" name="memberField[storeFields][]" id="pom-memberStoreField1"></div>
  <div class="pom-form-field"><label for="pom-memberStoreField2">Store Field #2</label><input type="text" name="memberField[storeFields][]" id="pom-memberStoreField2"></div>
  <div class="pom-form-field"><label for="pom-memberStoreField3">Store Field #3</label><input type="text" name="memberField[storeFields][]" id="pom-memberStoreField3"></div>
  <div class="pom-form-field"><label for="pom-memberStoreField4">Store Field #4</label><input type="text" name="memberField[storeFields][]" id="pom-memberStoreField4"></div>
  <div class="pom-form-field"><label for="pom-memberStoreField5">Store Field #5</label><input type="text" name="memberField[storeFields][]" id="pom-memberStoreField5"></div>
  <div class="pom-form-field"><label for="pom-memberChainField1">Chain Field #1</label><input type="text" name="memberField[chainFields][]" id="pom-memberChainField1"></div>
  <div class="pom-form-field"><label for="pom-memberChainField2">Chain Field #2</label><input type="text" name="memberField[chainFields][]" id="pom-memberChainField2"></div>
  <div class="pom-form-field"><label for="pom-memberChainField3">Chain Field #3</label><input type="text" name="memberField[chainFields][]" id="pom-memberChainField3"></div>
  <div class="pom-form-field"><label for="pom-memberChainField4">Chain Field #4</label><input type="text" name="memberField[chainFields][]" id="pom-memberChainField4"></div>
  <div class="pom-form-field"><label for="pom-memberChainField5">Chain Field #5</label><input type="text" name="memberField[chainFields][]" id="pom-memberChainField5"></div>
  <div class="pom-form-field"><label for="pom-memberUnsubscribed">Unsubscribed</label><select name="memberField[unsubscribed]" id="pom-memberUnsubscribed">
    <option value=""></option>
    <option value="0">No</option>
    <option value="1">Yes</option>
  </select></div>
</div>
<div id="pom-member-search-fields" class="pom-conditional-field">
  <div class="pom-form-field"><label for="pom-memberSearchOperator">Operator</label><select name="memberSearch[operator]" id="pom-memberSearchOperator">
    <option value=""></option>
    <option value="AND">AND</option>
    <option value="OR">OR</option>
  </select></div>
  <div class="pom-form-field"><label for="pom-memberSearchNvp">Name-Value Pairs</label><input type="text" name="memberSearch[nvp]" id="pom-memberSearchNvp"></div>
</div>
<div id="pom-member-id" class="pom-conditional-field">
  <div class="pom-form-field"><label for="pom-memberId">Member ID</label><input type="text" name="member[memberId]" id="pom-memberId"></div>
</div>
<div id="pom-promotion-id" class="pom-conditional-field">
  <div class="pom-form-field"><label for="pom-promotionId">Promotion ID</label><select name="promotion[promotionId]" id="pom-promotionId">
    <optgroup label="Monthly Promotions">
      <option value="24">Monthly Promotion (Newsletter/eStatement) 1st of the month</option>
      <option value="30">January Promotion (Game Day)</option>
      <option value="33">February Promotion (Valentine's Day)</option>
      <option value="48">March Promotion (St. Patrick's Day)</option>
      <option value="28">April Promotion (Spring)</option>
      <option value="19">May Promotion #1 (Mother's Day)</option>
      <option value="12">May Promotion #2 (Good Grades)</option>
      <option value="11">June Promotion (Father's Day)</option>
      <option value="29">July Promotion (Summer)</option>
      <option value="6">August Promotion (Back to School)</option>
      <option value="21">September Promotion (Take a Night Off)</option>
      <option value="47">October Promotion (Halloween)</option>
      <option value="32">November Promotion (Thanksgiving)</option>
      <option value="43">December Promotion #1 (Gift Cards)</option>
      <option value="15">December Promotion #2 (Happy Holidays)</option>
      <option value="20">December Promotion #3 (New Year)</option>
    </optgroup>
    <optgroup label="Member-Specific Promotions">
      <option value="36">Welcome Email (Member Enrollment)</option>
      <option value="57">Welcome Email (In-Store / Merchant Enrollment)</option>
      <option value="191">Double Opt-In</option>
      <option value="14">Half Birthday</option>
      <option value="2">Birthday  1 week prior to member's birthday</option>
      <option value="235">Birthday Club (2 Weeks Prior)</option>
      <option value="234">Birthday Club (6 Weeks Prior)</option>
      <option value="233">Birthday Club (8 Weeks Prior)</option>
      <option value="40">Spouse's Half-Birthday</option>
      <option value="41">Spouse's Birthday</option>
      <option value="192">Child's Birthday</option>
      <option value="35">Wedding Anniversary</option>
      <option value="3">Enrollment Anniversary</option>
    </optgroup>
    <optgroup label="Loyalty-Based Promotions">
      <option value="228">Post-Transaction Thank You</option>
      <option value="45">Member Referral Invitation</option>
      <option value="46">Member Referral Thank You</option>
      <option value="227">Menu Promotion</option>
      <option value="23">30 - Reminder</option>
      <option value="25">60 - Something For You</option>
      <option value="8">90 - Member of the Month</option>
      <option value="16">120 - We Miss You</option>
      <option value="7">150 - Come Back</option>
      <option value="58">Halfway to Reward #1</option>
      <option value="61">Halfway to Reward #2</option>
      <option value="64">Halfway to Reward #3</option>
      <option value="67">Halfway to Reward #4</option>
      <option value="70">Halfway to Reward #5</option>
      <option value="73">Halfway to Reward #6</option>
      <option value="76">Halfway to Reward #7</option>
      <option value="79">Halfway to Reward #8</option>
      <option value="82">Halfway to Reward #9</option>
      <option value="85">Halfway to Reward #10</option>
      <option value="59">Almost to Reward #1</option>
      <option value="62">Almost to Reward #2</option>
      <option value="65">Almost to Reward #3</option>
      <option value="68">Almost to Reward #4</option>
      <option value="71">Almost to Reward #5</option>
      <option value="74">Almost to Reward #6</option>
      <option value="77">Almost to Reward #7</option>
      <option value="80">Almost to Reward #8</option>
      <option value="83">Almost to Reward #9</option>
      <option value="86">Almost to Reward #10</option>
      <option value="60">Reward Earned #1</option>
      <option value="63">Reward Earned #2</option>
      <option value="66">Reward Earned #3</option>
      <option value="69">Reward Earned #4</option>
      <option value="72">Reward Earned #5</option>
      <option value="75">Reward Earned #6</option>
      <option value="78">Reward Earned #7</option>
      <option value="81">Reward Earned #8</option>
      <option value="84">Reward Earned #9</option>
      <option value="87">Reward Earned #10</option>
    </optgroup>
    <optgroup label="Additional Promotions">
      <option value="42">Extra Promotion #1</option>
      <option value="49">Extra Promotion #2</option>
      <option value="50">Extra Promotion #3</option>
      <option value="51">Extra Promotion #4</option>
      <option value="182">Extra Promotion #5</option>
      <option value="300">Extra Promotion #6</option>
      <option value="301">Extra Promotion #7</option>
      <option value="302">Extra Promotion #8</option>
      <option value="303">Extra Promotion #9</option>
      <option value="304">Extra Promotion #10</option>
    </optgroup>
  </select></div>
</div>
<div id="pom-promotion-fields" class="pom-conditional-field">
  <div class="pom-form-field"><label for="pom-active">Active</label><select name="promotionField[active]" id="pom-active">
    <option value=""></option>
    <option value="0">No</option>
    <option value="1">Yes</option>
  </select></div>
  <div class="pom-form-field"><label for="pom-subject">Subject</label><input type="text" name="promotionField[subject]" id="pom-subject"></div>
  <div class="pom-form-field block-label"><label for="pom-bodyHtml">Body HTML</label><textarea name="promotionField[bodyHtml]" id="pom-bodyHtml"></textarea></div>
  <div class="pom-form-field block-label"><label for="pom-bodyText">Body Text</label><textarea name="promotionField[bodyText]" id="pom-bodyText"></textarea></div>
  <div class="pom-form-field"><label for="pom-sendDate">Send Date</label><input type="text" name="promotionField[sendDate]" id="pom-sendDate"></div>
  <div class="pom-form-field"><label for="pom-sendHour">Send Hour</label><input type="text" name="promotionField[sendHour]" id="pom-sendHour"></div>
  <div class="pom-form-field"><label for="pom-promoText">Promo Text</label><input type="text" name="promotionField[promoText]" id="pom-promoText"></div>
  <div class="pom-form-field"><label for="pom-promoExpiration">Promo Expiration</label><input type="text" name="promotionField[promoExpiration]" id="pom-promoExpiration"></div>
  <div class="pom-form-field"><label for="pom-deliveryMethod">Delivery Method</label><select name="promotionField[deliveryMethod]" id="pom-deliveryMethod">
    <option value=""></option>
    <option value="1">Email</option>
    <option value="2">SMS</option>
    <option value="4">Push Notification</option>
  </select></div>
  <div class="pom-form-field"><label for="pom-memberSegment">Member Segment</label><select name="promotionField[memberSegment]" id="pom-memberSegment">
    <option value="0">Send Email to Everyone</option>
    <option value="100">New Members This Month</option>
    <option value="200">Members who Ordered this Month</option>
    <option value="1200"> Members who haven't ordered in 30 Days</option>
    <option value="1201"> Members who haven't ordered in 60 Days</option>
    <option value="1202"> Members who haven't ordered in 90 Days</option>
    <option value="1203"> Members who haven't ordered in 120 Days</option>
    <option value="1204"> Members who haven't ordered in 150 Days</option>
    <option value="201">Members who Ordered in the Last 7 Days</option>
    <option value="210">Top 25% Members - Lifetime Spend</option>
    <option value="1210"> Bottom 25% Members - Lifetime Spend</option>
    <option value="300">Members who Referred a New Member</option>
    <option value="310">Top 25% Members - # of Transactions</option>
    <option value="311">Bottom 25% Members - # of Transactions</option>
    <option value="400">Members who earned a Reward Offer this Month</option>
    <option value="401">Members who earned a Reward Offer last Month</option>
    <option value="500">Male Members</option>
    <option value="501">Female Members</option>
    <option value="502">Members With 3 or more in Household</option>
    <option value="503">Members with Birthdays this Month</option>
    <option value="504">Members with Anniversaries this Month</option>
  </select></div>
</div>
<div id="pom-transaction-id" class="pom-conditional-field">
  <div class="pom-form-field"><label for="pom-storeId">Transaction ID</label><input type="text" name="transaction[transactionId]" id="pom-transactionId"></div>
</div>
<div id="pom-transaction-fields" class="pom-conditional-field">
  <div class="pom-form-field"><label for="pom-transactionTypeId">Transaction Type</label><select name="transactionField[transactionTypeId]" id="pom-transactionTypeId">
    <option value="100">Sale</option>
    <option value="200">Points</option>
    <option value="300">Rebate</option>
    <option value="400">Promotion</option>
    <option value="500">Social Media</option>
    <option value="600">Gift Card</option>
  </select></div>
  <div class="pom-form-field"><label for="pom-memberId">Member ID</label><input type="text" name="transactionField[memberId]" id="pom-memberId"></div>
  <div class="pom-form-field"><label for="pom-transactionTypeId">Amount</label><input type="text" name="transactionField[amount]" id="pom-amount"></div>
  <div class="pom-form-field"><label for="pom-promotionCode">Promotion Code</label><input type="text" name="transactionField[promotionCode]" id="pom-promotionCode" maxlength="4"></div>
  <div class="pom-form-field"><label for="pom-terminal">Terminal</label><input type="text" name="transactionField[terminal]" id="pom-terminal"></div>
</div>
<button type="submit">Run</button>
</form>
</div>